Description

I have a mouse without scroll wheel and I find it rather hard to navigate (zoom in or out) in Qgis. 

Is there a way to develop a plugin that would allow the user to configure its mouse buttons ? In my case I would be interested to be able to

congigure 1 button as the zoom in (as the scroll wheel does) and the other one as the zoom out.

But I'm also thinking that this plugin could allow the user to choose more options for its additional mouse buttons (Personaly I have 4

buttons, but I know that many mise can have more).

History

#1 - 2014-08-08 06:38 AM - Nathan Woodrow

Did you know that plus and minus on the keybaord as well as page up and page down also zoom in and out. You can also use space to pan.

You could also have shortcuts for the zoom in and out tools.

#2 - 2014-08-08 07:18 AM - Mathilde Gouret

From what I tried earlier, I can assign a shortcut to access the tool, but I can't seem to use the tool as I do with a scroll wheel.

Sorry, I think I posted my request on the wrong page, I saw there is a plugin wishes page but apparently this is not this one !

Thanks anyway

#3 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No
